---
title: VRDisplay.getImmediatePose()
slug: Web/API/VRDisplay/getImmediatePose
tags:
  - API
  - Experimental
  - Method
  - Obsolete
  - Reference
  - VR
  - VRDisplay
  - Virtual Reality
  - WebVR
  - getImmediatePose()
---
<div>{{Obsolete_header}}{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <code><strong>getImmediatePose()</strong></code> method of the {{domxref("VRDisplay")}} interface returns a {{domxref("VRPose")}} object defining the current pose of the <code>VRDisplay</code>, with no prediction applied.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myImmediatePose = vrDisplayInstance.getImmediatePose();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("VRPose")}} object.</p>

<h2 id="Examples">Examples</h2>

<pre>TBD.</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRDisplay.getImmediatePose")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a>.</li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
